'use strict';

const { postJSON } = require('./util');

exports.getUserAccessToken = async function (code) {
    const { accessToken } = await this.ensureAccessToken();
    // https://api.weixin.qq.com/sns/oauth2/access_token?appid=APPID&secret=SECRET&code=CODE&grant_type=authorization_code
    var url ='https://api.weixin.qq.com/sns/oauth2/access_token?appid=' + this.appid + '&secret=' + this.appsecret + '&code=' + code + '&grant_type=authorization_code';
    const data = await this.request(url, {dataType: 'json'});
    return JSON.parse(data.toString());
  };

  exports.getUserInfo = async function (openid, user_access_code) {
    // https://api.weixin.qq.com/sns/userinfo?access_token=ACCESS_TOKEN&openid=OPENID&lang=zh_CN
    var url ='https://api.weixin.qq.com/sns/userinfo?access_token=' + user_access_code + '&openid=' + openid + '&lang=zh_CN';
    const data = await this.request(url, {dataType: 'json'});
    return JSON.parse(data.toString());
  };
